## stone 2.3.e

=== Makefile ===
--- 
+++ 
@@ -22,18 +22,23 @@
 CFLAGS=		# -g
 
 SSL=		/usr/local/ssl
-SSL_FLAGS=	-DUSE_SSL -I$(SSL)/include
-SSL_LIBS=	-L$(SSL)/lib -lssl -lcrypto
+SSL_FLAGS=	-DUSE_SSL
+SSL_LIBS=	-lssl -lcrypto
 
 POP_FLAGS=	-DUSE_POP
 POP_LIBS=	md5c.o
 
+MINGWCC=	mingw32-gcc
+MC=		wmc
+RC=		wrc
+WINDRES=	windres
 SVC_LIBS=	logmsg.o
 
 all:
 	@echo "run make with one of the following arguments"
 	@echo "linux     ; for Linux"
 	@echo "zaurus    ; for Linux Zaurus"
+	@echo "fon       ; for La Fonera"
 	@echo "bsd       ; for FreeBSD or BSD/OS"
 	@echo "macosx    ; for Mac OS X"
 	@echo "sun       ; for SunOS 4.x with gcc"
@@ -49,7 +54,7 @@
 	@echo "using above conv. and OpenSSL, add '-ssl' (example: linux-ssl)"
 
 clean:
-	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj stone.o $(SVC_LIBS) MSG00001.bin logmsg.h logmsg.rc
+	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj stone.o $(SVC_LIBS) MSG00001.bin logmsg.h logmsg.rc cryptoapi.o
 
 md5c.c:
 	@echo "*** md5c.c is contained in RFC1321"
@@ -61,7 +66,7 @@
 	$(MAKE) FLAGS="$(POP_FLAGS)" LIBS="$(POP_LIBS)" $(TARGET)
 
 ssl_stone:
-	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)
+	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS) $(FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)
 
 stone.exe: stone.c
 	$(CC) $(CFLAGS) $(FLAGS) $? $(LIBS)
@@ -77,16 +82,22 @@
 	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)
 
 logmsg.rc: logmsg.mc
-	mc $?
-
-logmsg.o: logmsg.rc
-	windres $? -o $@
+	$(MC) -i $?
+
+logmsg.res: logmsg.rc
+	$(RC) $?
+
+logmsg.o: logmsg.res
+	$(WINDRES) $? -o $@
+
+cryptoapi.o: cryptoapi.c
+	$(MINGWCC) -c $? -o $@
 
 svc_stone: logmsg.rc $(SVC_LIBS)
-	$(MAKE) FLAGS="-DNT_SERVICE $(FLAGS) $(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS) $(SVC_LIBS) -ladvapi32 -luser32 -lgdi32 -lshell32 -lkernel32" $(TARGET)
+	$(MAKE) FLAGS="-DNT_SERVICE $(FLAGS)" LIBS="$(LIBS) $(SVC_LIBS) -ladvapi32 -luser32 -lshell32 -lkernel32" $(TARGET)
 
 linux:
-	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL -DSO_ORIGINAL_DST=80 $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	$(MAKE) FLAGS="-O -Wall -DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL -DSO_ORIGINAL_DST=80 -DUSE_EPOLL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
 
 linux-pop:
 	$(MAKE) TARGET=linux pop_stone
@@ -95,7 +106,7 @@
 	$(MAKE) TARGET=linux ssl_stone LIBS="-ldl"
 
 zaurus:
-	$(MAKE) CC="arm-linux-gcc" FLAGS="-DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	$(MAKE) CC="arm-linux-gcc" FLAGS="-O -Wall -DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
 	arm-linux-strip stone
 
 zaurus-pop:
@@ -104,6 +115,16 @@
 zaurus-ssl:
 	$(MAKE) CC="arm-linux-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=zaurus ssl_stone
 
+fon:
+	$(MAKE) CC="mips-linux-uclibc-gcc" FLAGS="-O -Wall -DPTHREAD -DUNIX_DAEMON -DPRCTL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	mips-linux-uclibc-strip stone
+
+fon-pop:
+	$(MAKE) CC="mips-linux-uclibc-gcc" TARGET=fon pop_stone
+
+fon-ssl:
+	$(MAKE) CC="mips-linux-uclibc-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=fon ssl_stone
+
 bsd:
 	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD -DREG_NOERROR=0 $(FLAGS)" LIBS="-pthread $(LIBS)" stone
 
@@ -132,7 +153,7 @@
 	$(MAKE) TARGET=sun ssl_stone
 
 solaris:
-	$(MAKE) CC=gcc FLAGS="-DPTHREAD $(FLAGS)" LIBS="-lnsl -lsocket -lpthread $(LIBS)" stone
+	$(MAKE) CC=gcc FLAGS="-DPTHREAD -D_REENTRANT $(FLAGS)" LIBS="-lnsl -lsocket -lpthread -lthread $(LIBS)" stone
 
 solaris-pop:
 	$(MAKE) TARGET=solaris pop_stone
@@ -171,25 +192,25 @@
 	$(MAKE) TARGET=win svc_stone.exe
 
 mingw.exe: stone.c
-	$(CC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
+	$(MINGWCC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
 
 mingw:
-	$(MAKE) CC=gcc FLAGS="-DWINDOWS -DNO_RINDEX $(FLAGS)" LIBS="-lws2_32 -lregex $(LIBS)" mingw.exe
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-O -Wall -D_WIN32_WINNT=0x0501 -DWINDOWS -DNO_RINDEX -DADDRCACHE $(FLAGS)" LIBS="$(LIBS) -lws2_32 -lregex -lgdi32" mingw.exe
 
 mingw-pop:
-	$(MAKE) CC=gcc TARGET=mingw pop_stone
+	$(MAKE) CC="$(MINGWCC)" TARGET=mingw pop_stone
 
 mingw-ssl: cryptoapi.o
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="$(FLAGS)" SSL_FLAGS="-DUSE_SSL -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
 
 mingw-me:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DNO_ADDRINFO" SSL_LIBS="-lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-DNO_ADDRINFO" mingw-ssl
 
 mingw-nt:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI -DNO_ADDRINFO" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-DNO_ADDRINFO" TARGET=mingw-ssl svc_stone
 
 mingw-svc:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
+	$(MAKE) CC="$(MINGWCC)" TARGET=mingw-ssl svc_stone
 
 emx:
 	$(MAKE) CC=gcc FLAGS="-DOS2 -Zmts -Zsysv-signals $(FLAGS)" LIBS="$(LIBS) -lsocket" stone.exe
