=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq (linux,$(DEB_HOST_ARCH_OS))
	EXTRA_FLAGS=""
else
	EXTRA_FLAGS=-UPRCTL -UUSE_EPOLL
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	dh_auto_build -- linux-ssl SSL_FLAGS="-DUSE_SSL -I/usr/include/openssl $(EXTRA_FLAGS)" \
	SSL_LIBS="-L/usr/lib/ssl/lib -lssl -lcrypto"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp

	$(MAKE) clean
	rm -f stone.ja.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -m 755 stone $(CURDIR)/debian/stone/usr/bin/stone

# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_installman
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
