## stone soup-0.32.0-nodeps

=== source/debian/changelog ===
crawl (2:0.32.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 29 Aug 2024 15:51:28 -0500

crawl (2:0.31.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 18 Jan 2024 21:23:12 -0600

crawl (2:0.30.1-1) unstable; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Fri, 30 Jun 2023 14:08:55 -0400

crawl (2:0.30.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 05 May 2023 09:34:25 -0500

crawl (2:0.29.1-1) unstable; urgency=low

   * New upstream release.
 -- advil <rawlins@gmail.com>  Sun, 11 Sep 2022 21:49:41 -0400

crawl (2:0.29.0-1) unstable; urgency=low

  * New upstream release.
  * Debian build updated to make use of the install-xdg-data target.
  * Common files have been removed from the debian folder.
  * Fixed missing icon in crawl menu item if crawl-tiles is not installed.
  * Use Debian's uses machine-readable format for copyright file.
  * Remove menu files based on CTTE #741573.
 -- robertxgray <robertxgray@gmail.com>  Sun, 04 Sep 2022 16:31:49 +0200

crawl (2:0.28.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 03 Feb 2022 12:01:30 -0600

crawl (2:0.27.1-1) unstable; urgency=low

  * New upstream release.
 -- ebering <trizor@gmail.com>  Fri, 20 Aug 2021 13:43:43 +0300

crawl (2:0.27.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 30 Jul 2021 00:10:09 -0500

crawl (2:0.26.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 08 Jan 2021 09:37:14 -0600

crawl (2:0.25.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 12 Jun 2020 02:41:22 -0500

crawl (2:0.24.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 24 Oct 2019 14:16:07 -0400

crawl (2:0.23.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Sat, 30 Mar 2019 20:39:33 -0400

crawl (2:0.22.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Wed, 27 Mar 2019 21:22:21 -0400

crawl (2:0.23.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Wed, 27 Feb 2019 19:44:22 -0600

crawl (2:0.23.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 07 Feb 2019 10:07:00 -0600

crawl (2:0.22.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sun, 16 Sep 2018 20:57:38 -0500

crawl (2:0.22.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 09 Aug 2018 17:16:37 -0500

crawl (2:0.21.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sun, 16 Sep 2018 16:37:58 -0500

crawl (2:0.21.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 01 Feb 2018 01:54:03 -0600

crawl (2:0.21.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 30 Dec 2017 19:24:18 -0600

crawl (2:0.20.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 01 Jul 2017 18:12:17 -0500

crawl (2:0.20.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 25 May 2017 01:28:15 -0500

crawl (2:0.19.5-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Tue, 28 Feb 2017 17:24:38 -0600

crawl (2:0.19.4-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Mon, 30 Jan 2017 04:22:28 -0600

crawl (2:0.19.3-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 21 Jan 2017 16:16:52 -0600

crawl (2:0.19.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 20 Jan 2017 22:14:28 -0600

crawl (2:0.19.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 23 Nov 2016 04:04:25 -0600

crawl (2:0.19.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Tue, 01 Nov 2016 04:41:12 +0000

crawl (2:0.18.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 14:40:59 -0500

crawl (2:0.18.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 04 May 2016 13:27:07 -0500

crawl (2:0.17.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 15:32:00 -0500

crawl (2:0.17.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 10 Dec 2015 05:09:43 -0600

crawl (2:0.17.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Fri, 06 Nov 2015 06:04:45 -0600

crawl (2:0.16.2-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Tue, 11 Aug 2015 02:46:17 -0500

crawl (2:0.16.1-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Sun, 22 Mar 2015 21:55:31 -0500

crawl (2:0.16.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 11 Mar 2015 22:44:40 -0500

crawl (2:0.15.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Sat, 18 Sep 2014 20:32:56 -0600

crawl (2:0.15.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Mon, 15 Sep 2014 17:25:10 -0600

crawl (2:0.15.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Wed, 27 Aug 2014 21:32:22 -0600

crawl (2:0.14.2-1) UNRELEASED; urgency=low

  * New upstream release.
